- [HTTP request](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.reports/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.reports/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.reports/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.reports/list.md.txt#body.request_body)
- [Response body](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.reports/list.md.txt#body.response_body)
  - [JSON representation](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.reports/list.md.txt#body.ListReportsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.reports/list.md.txt#body.aspect)
- [Try it!](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.reports/list.md.txt#try-it)

List all of the available reports.

### HTTP request

`GET https://firebasecrashlytics.googleapis.com/v1alpha/{parent=projects/*/apps/*}/reports`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The firebase application. Format: "projects/{project}/apps/{app_id}". |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`ReportView`)`` Optional. Response view. If not set, defaults to `REPORT_VIEW_BASIC`. `REPORT_VIEW_FULL` is not supported for list operations. |

### Request body

The request body must be empty.

### Response body

Response method for the reports.list method. The response will always include all of the available reports.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reports": [ { object (`Report`) } ] } ``` |

| Fields ||
|---|---|
| `reports[]` | ``object (`Report`)`` The report objects returned will contain their names and usage instructions, but include no results. Use the `reports.get` method to run the report and obtain the paged results. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/firebase`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).